Subject: GetGlyphOutline
From: [email-masked] (Davide Devoti)

3 Jan 1999 16:31:03 -0800
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

I don't know if this is a Cygnus bug, but I've the following problem:

I've compiled an application with Cygnus B19 gcc on my Pentium
II/Windows 98 machine. The application uses a lot of Win32 graphic
functions and works pretty fine, but when I try to start it on my
486 DX4/Windows 95 I got an error in the GetGlyphOutline function, and
exactly in this cases:

1) GetGlyphOutline(dc, code, GGO_GRAY2_BITMAP, &gm, 0, NULL, &mat2)

2) GetGlyphOutline(dc, code, GGO_GRAY2_BITMAP, &gm, size2, buffer,
&mat2)

where the parameters are defined as follows:
	HDC dc;
	u_char code;
	GLYPHMETRICS gm;
	int size2;
	char *buffer;
	MAT2 mat2;

The error the I got in this cases is 87 (that is: Parameter not valid)
but I don't know which parameter is the one that might trigger the
error.

Can someone help me ?

Thanks in advance

	Davide Devoti
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".